Skip to content

Get a recorded Leg of a Call

GET
/v1/calls/{id}/recordings/{leg_id}
curl --request GET \
--url https://api.customer.onsim.uk/v1/calls/example/recordings/example \
--header 'x-api-key: <x-api-key>'
id
required
string
>= 1 characters

The ID of the call of the Leg, encoded for a path: the call_id of the Leg when it has one, or else the id of its Call.

leg_id
required
string
>= 1 characters

The ID of the Leg, encoded for a path.

OK

Media typeapplication/json

The audio of one Leg. A Call can have none, one or several.

object
leg_id
required

The ID of the Leg of the Recording.

string
expires_at
required

When the links stop. Ask again for new links.

string format: date-time
files
required

The parts of the Recording, in the order to play them. Most Recordings have one.

Array<object>

One part of a Recording.

object
url
required

A link to the audio, as a WAV file. It works until expires_at.

string
Examplegenerated
{
"leg_id": "example",
"expires_at": "2026-04-15T12:00:00Z",
"files": [
{
"url": "example"
}
]
}

The request is not valid

Media typeapplication/problem+json

An error, as RFC 9457 Problem Details.

object
type
required

A URI that names the kind of error. It is also a page of the docs.

string
title
required

A short summary of the kind of error.

string
status
required

The HTTP status.

integer
detail

What went wrong in this request.

string
errors

Each parameter that is not valid. Only an invalid-request error has it.

Array<object>
object
field
required

The parameter that is not valid.

string
detail
required

Why it is not valid.

string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"errors": [
{
"field": "example",
"detail": "example"
}
]
}

The API key is missing or not valid, or: This request is not permitted

Media typeapplication/problem+json

An error, as RFC 9457 Problem Details.

object
type
required

A URI that names the kind of error. It is also a page of the docs.

string
title
required

A short summary of the kind of error.

string
status
required

The HTTP status.

integer
detail

What went wrong in this request.

string
errors

Each parameter that is not valid. Only an invalid-request error has it.

Array<object>
object
field
required

The parameter that is not valid.

string
detail
required

Why it is not valid.

string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"errors": [
{
"field": "example",
"detail": "example"
}
]
}

No such resource

Media typeapplication/problem+json

An error, as RFC 9457 Problem Details.

object
type
required

A URI that names the kind of error. It is also a page of the docs.

string
title
required

A short summary of the kind of error.

string
status
required

The HTTP status.

integer
detail

What went wrong in this request.

string
errors

Each parameter that is not valid. Only an invalid-request error has it.

Array<object>
object
field
required

The parameter that is not valid.

string
detail
required

Why it is not valid.

string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"errors": [
{
"field": "example",
"detail": "example"
}
]
}

The request is too large

Media typeapplication/problem+json

An error, as RFC 9457 Problem Details.

object
type
required

A URI that names the kind of error. It is also a page of the docs.

string
title
required

A short summary of the kind of error.

string
status
required

The HTTP status.

integer
detail

What went wrong in this request.

string
errors

Each parameter that is not valid. Only an invalid-request error has it.

Array<object>
object
field
required

The parameter that is not valid.

string
detail
required

Why it is not valid.

string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"errors": [
{
"field": "example",
"detail": "example"
}
]
}

Too many requests, or: The daily quota is used up

Media typeapplication/problem+json

An error, as RFC 9457 Problem Details.

object
type
required

A URI that names the kind of error. It is also a page of the docs.

string
title
required

A short summary of the kind of error.

string
status
required

The HTTP status.

integer
detail

What went wrong in this request.

string
errors

Each parameter that is not valid. Only an invalid-request error has it.

Array<object>
object
field
required

The parameter that is not valid.

string
detail
required

Why it is not valid.

string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"errors": [
{
"field": "example",
"detail": "example"
}
]
}

The request failed

Media typeapplication/problem+json

An error, as RFC 9457 Problem Details.

object
type
required

A URI that names the kind of error. It is also a page of the docs.

string
title
required

A short summary of the kind of error.

string
status
required

The HTTP status.

integer
detail

What went wrong in this request.

string
errors

Each parameter that is not valid. Only an invalid-request error has it.

Array<object>
object
field
required

The parameter that is not valid.

string
detail
required

Why it is not valid.

string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"errors": [
{
"field": "example",
"detail": "example"
}
]
}

Your records are not available now

Media typeapplication/problem+json

An error, as RFC 9457 Problem Details.

object
type
required

A URI that names the kind of error. It is also a page of the docs.

string
title
required

A short summary of the kind of error.

string
status
required

The HTTP status.

integer
detail

What went wrong in this request.

string
errors

Each parameter that is not valid. Only an invalid-request error has it.

Array<object>
object
field
required

The parameter that is not valid.

string
detail
required

Why it is not valid.

string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"errors": [
{
"field": "example",
"detail": "example"
}
]
}

The request took too long

Media typeapplication/problem+json

An error, as RFC 9457 Problem Details.

object
type
required

A URI that names the kind of error. It is also a page of the docs.

string
title
required

A short summary of the kind of error.

string
status
required

The HTTP status.

integer
detail

What went wrong in this request.

string
errors

Each parameter that is not valid. Only an invalid-request error has it.

Array<object>
object
field
required

The parameter that is not valid.

string
detail
required

Why it is not valid.

string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"errors": [
{
"field": "example",
"detail": "example"
}
]
}